Changeset 1446 for ThirdParty/Glpk


Ignore:
Timestamp:
Nov 22, 2009 1:47:29 PM (10 years ago)
Author:
stefan
Message:

stop using COIN_HAS_PROJECT; some cleanup; use MODULE_BLAS in Mumps

Location:
ThirdParty/Glpk/branches/BSPsplit
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/branches/BSPsplit/Makefile.in

    r1437 r1446  
    140140distuninstallcheck_listfiles = find . -type f -print
    141141distcleancheck_listfiles = find . -type f -print
     142ABSBUILDDIR = @ABSBUILDDIR@
    142143ACLOCAL = @ACLOCAL@
    143144ADDLIBS = @ADDLIBS@
     
    159160CDEFS = @CDEFS@
    160161CFLAGS = @CFLAGS@
    161 COIN_HAS_GLPK_FALSE = @COIN_HAS_GLPK_FALSE@
    162 COIN_HAS_GLPK_PREINSTALLED_FALSE = @COIN_HAS_GLPK_PREINSTALLED_FALSE@
    163 COIN_HAS_GLPK_PREINSTALLED_TRUE = @COIN_HAS_GLPK_PREINSTALLED_TRUE@
    164 COIN_HAS_GLPK_TRUE = @COIN_HAS_GLPK_TRUE@
    165162COIN_HAS_ZLIB_FALSE = @COIN_HAS_ZLIB_FALSE@
    166163COIN_HAS_ZLIB_TRUE = @COIN_HAS_ZLIB_TRUE@
     
    184181FADDLIBS = @FADDLIBS@
    185182FFLAGS = @FFLAGS@
    186 GLPKDATADIR = @GLPKDATADIR@
    187183GLPKDIR = @GLPKDIR@
    188 GLPKDOCDIR = @GLPKDOCDIR@
    189 GLPKINSTDIR = @GLPKINSTDIR@
    190 GLPKOBJDIR = @GLPKOBJDIR@
    191 GLPKSRCDIR = @GLPKSRCDIR@
    192184HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    193185HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
  • ThirdParty/Glpk/branches/BSPsplit/config_glpk.h.in

    r1379 r1446  
    66/* Define to the debug verbosity level (0 is no output) */
    77#undef COIN_GLPK_VERBOSITY
    8 
    9 /* Define to 1 if the Glpk package is used */
    10 #undef COIN_HAS_GLPK
    118
    129/* Define to 1 if zlib is available */
  • ThirdParty/Glpk/branches/BSPsplit/configure

    r1437 r1446  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS GLPKSRCDIR GLPKOBJDIR GLPKDOCDIR GLPKDATADIR GLPKINSTDIR COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE COIN_HAS_GLPK_PREINSTALLED_TRUE COIN_HAS_GLPK_PREINSTALLED_FALSE glpkmajorver glpkminorver COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS glpkmajorver glpkminorver COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE GLPKDIR LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10871087  --with-tags[=TAGS]
    10881088                          include additional configurations [automatic]
    1089   --with-glpk-instdir prefix of installation directory for precompiled Glpk
    1090                           package
    1091   --with-glpk-srcdir source directory for Glpk package
    1092   --with-glpk-objdir object directory for Glpk package (if different from
    1093                           source directory in VPATH compilation)
    1094   --with-coin-instdir     prefix of installation directory for precompiled
    1095                           COIN packages
    10961089
    10971090Some influential environment variables:
     
    47314724*-*-irix6*)
    47324725  # Find out which ABI we are using.
    4733   echo '#line 4733 "configure"' > conftest.$ac_ext
     4726  echo '#line 4726 "configure"' > conftest.$ac_ext
    47344727  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47354728  (eval $ac_compile) 2>&5
     
    63306323
    63316324# Provide some information about the compiler.
    6332 echo "$as_me:6332:" \
     6325echo "$as_me:6325:" \
    63336326     "checking for Fortran 77 compiler version" >&5
    63346327ac_compiler=`set X $ac_compile; echo $2`
     
    73977390   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73987391   -e 's:$: $lt_compiler_flag:'`
    7399    (eval echo "\"\$as_me:7399: $lt_compile\"" >&5)
     7392   (eval echo "\"\$as_me:7392: $lt_compile\"" >&5)
    74007393   (eval "$lt_compile" 2>conftest.err)
    74017394   ac_status=$?
    74027395   cat conftest.err >&5
    7403    echo "$as_me:7403: \$? = $ac_status" >&5
     7396   echo "$as_me:7396: \$? = $ac_status" >&5
    74047397   if (exit $ac_status) && test -s "$ac_outfile"; then
    74057398     # The compiler can only warn and ignore the option if not recognized
     
    76657658   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76667659   -e 's:$: $lt_compiler_flag:'`
    7667    (eval echo "\"\$as_me:7667: $lt_compile\"" >&5)
     7660   (eval echo "\"\$as_me:7660: $lt_compile\"" >&5)
    76687661   (eval "$lt_compile" 2>conftest.err)
    76697662   ac_status=$?
    76707663   cat conftest.err >&5
    7671    echo "$as_me:7671: \$? = $ac_status" >&5
     7664   echo "$as_me:7664: \$? = $ac_status" >&5
    76727665   if (exit $ac_status) && test -s "$ac_outfile"; then
    76737666     # The compiler can only warn and ignore the option if not recognized
     
    77697762   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77707763   -e 's:$: $lt_compiler_flag:'`
    7771    (eval echo "\"\$as_me:7771: $lt_compile\"" >&5)
     7764   (eval echo "\"\$as_me:7764: $lt_compile\"" >&5)
    77727765   (eval "$lt_compile" 2>out/conftest.err)
    77737766   ac_status=$?
    77747767   cat out/conftest.err >&5
    7775    echo "$as_me:7775: \$? = $ac_status" >&5
     7768   echo "$as_me:7768: \$? = $ac_status" >&5
    77767769   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77777770   then
     
    1011410107  lt_status=$lt_dlunknown
    1011510108  cat > conftest.$ac_ext <<EOF
    10116 #line 10116 "configure"
     10109#line 10109 "configure"
    1011710110#include "confdefs.h"
    1011810111
     
    1021410207  lt_status=$lt_dlunknown
    1021510208  cat > conftest.$ac_ext <<EOF
    10216 #line 10216 "configure"
     10209#line 10209 "configure"
    1021710210#include "confdefs.h"
    1021810211
     
    1255812551   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1255912552   -e 's:$: $lt_compiler_flag:'`
    12560    (eval echo "\"\$as_me:12560: $lt_compile\"" >&5)
     12553   (eval echo "\"\$as_me:12553: $lt_compile\"" >&5)
    1256112554   (eval "$lt_compile" 2>conftest.err)
    1256212555   ac_status=$?
    1256312556   cat conftest.err >&5
    12564    echo "$as_me:12564: \$? = $ac_status" >&5
     12557   echo "$as_me:12557: \$? = $ac_status" >&5
    1256512558   if (exit $ac_status) && test -s "$ac_outfile"; then
    1256612559     # The compiler can only warn and ignore the option if not recognized
     
    1266212655   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1266312656   -e 's:$: $lt_compiler_flag:'`
    12664    (eval echo "\"\$as_me:12664: $lt_compile\"" >&5)
     12657   (eval echo "\"\$as_me:12657: $lt_compile\"" >&5)
    1266512658   (eval "$lt_compile" 2>out/conftest.err)
    1266612659   ac_status=$?
    1266712660   cat out/conftest.err >&5
    12668    echo "$as_me:12668: \$? = $ac_status" >&5
     12661   echo "$as_me:12661: \$? = $ac_status" >&5
    1266912662   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1267012663   then
     
    1423214225   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423314226   -e 's:$: $lt_compiler_flag:'`
    14234    (eval echo "\"\$as_me:14234: $lt_compile\"" >&5)
     14227   (eval echo "\"\$as_me:14227: $lt_compile\"" >&5)
    1423514228   (eval "$lt_compile" 2>conftest.err)
    1423614229   ac_status=$?
    1423714230   cat conftest.err >&5
    14238    echo "$as_me:14238: \$? = $ac_status" >&5
     14231   echo "$as_me:14231: \$? = $ac_status" >&5
    1423914232   if (exit $ac_status) && test -s "$ac_outfile"; then
    1424014233     # The compiler can only warn and ignore the option if not recognized
     
    1433614329   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433714330   -e 's:$: $lt_compiler_flag:'`
    14338    (eval echo "\"\$as_me:14338: $lt_compile\"" >&5)
     14331   (eval echo "\"\$as_me:14331: $lt_compile\"" >&5)
    1433914332   (eval "$lt_compile" 2>out/conftest.err)
    1434014333   ac_status=$?
    1434114334   cat out/conftest.err >&5
    14342    echo "$as_me:14342: \$? = $ac_status" >&5
     14335   echo "$as_me:14335: \$? = $ac_status" >&5
    1434314336   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1434414337   then
     
    1654316536   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1654416537   -e 's:$: $lt_compiler_flag:'`
    16545    (eval echo "\"\$as_me:16545: $lt_compile\"" >&5)
     16538   (eval echo "\"\$as_me:16538: $lt_compile\"" >&5)
    1654616539   (eval "$lt_compile" 2>conftest.err)
    1654716540   ac_status=$?
    1654816541   cat conftest.err >&5
    16549    echo "$as_me:16549: \$? = $ac_status" >&5
     16542   echo "$as_me:16542: \$? = $ac_status" >&5
    1655016543   if (exit $ac_status) && test -s "$ac_outfile"; then
    1655116544     # The compiler can only warn and ignore the option if not recognized
     
    1681116804   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1681216805   -e 's:$: $lt_compiler_flag:'`
    16813    (eval echo "\"\$as_me:16813: $lt_compile\"" >&5)
     16806   (eval echo "\"\$as_me:16806: $lt_compile\"" >&5)
    1681416807   (eval "$lt_compile" 2>conftest.err)
    1681516808   ac_status=$?
    1681616809   cat conftest.err >&5
    16817    echo "$as_me:16817: \$? = $ac_status" >&5
     16810   echo "$as_me:16810: \$? = $ac_status" >&5
    1681816811   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681916812     # The compiler can only warn and ignore the option if not recognized
     
    1691516908   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691616909   -e 's:$: $lt_compiler_flag:'`
    16917    (eval echo "\"\$as_me:16917: $lt_compile\"" >&5)
     16910   (eval echo "\"\$as_me:16910: $lt_compile\"" >&5)
    1691816911   (eval "$lt_compile" 2>out/conftest.err)
    1691916912   ac_status=$?
    1692016913   cat out/conftest.err >&5
    16921    echo "$as_me:16921: \$? = $ac_status" >&5
     16914   echo "$as_me:16914: \$? = $ac_status" >&5
    1692216915   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1692316916   then
     
    1981819811
    1981919812###########################################################################
    19820 #                            COIN_HAS_GLPK                                #
     19813#                            check GLPK version                           #
    1982119814###########################################################################
    1982219815
    19823 echo "$as_me:$LINENO: checking for COIN project Glpk in " >&5
    19824 echo $ECHO_N "checking for COIN project Glpk in ... $ECHO_C" >&6
    19825 # First check, if the sub-project is actually available (ToDo: allow
    19826 # other locations)
    19827 
    19828 #replace backslashes by underscore
    19829 #m4_define([escape], m4_bpatsubsts([Glpk],[/],[_]))
    19830 
    19831 coin_has_glpk=notGiven
    19832 if test x"$COIN_SKIP_PROJECTS" != x; then
    19833   for dir in $COIN_SKIP_PROJECTS; do
    19834     if test $dir = Glpk; then
    19835       coin_has_glpk=skipping
    19836     fi
    19837   done
    19838 fi
    19839 
    19840 
    19841 
    19842 
    19843 
    19844 
    19845 GLPKSRCDIR=This_Variable_Is_Not_Set
    19846 GLPKOBJDIR=This_Variable_Is_Not_Set
    19847 GLPKDOCDIR=This_Variable_Is_Not_Set
    19848 GLPKDATADIR=This_Variable_Is_Not_Set
    19849 GLPKINSTDIR=This_Variable_Is_Not_Set
    19850 
    19851 if test $coin_has_glpk != skipping; then
    19852   if test $PACKAGE_TARNAME = glpk; then
    19853     coin_has_glpk=.
    19854   else
    19855 
    19856 # Check whether --with-m4_tolower(Glpk)-instdir or --without-m4_tolower(Glpk)-instdir was given.
    19857 if test "${with_glpk_instdir+set}" = set; then
    19858   withval="$with_glpk_instdir"
    19859   coin_has_glpk=installed
    19860                  if test -d "$withval"; then : ; else
    19861                    { { echo "$as_me:$LINENO: error: argument for --with-glpk-instdir not a directory" >&5
    19862 echo "$as_me: error: argument for --with-glpk-instdir not a directory" >&2;}
    19863    { (exit 1); exit 1; }; }
    19864                  fi
    19865                  GLPKINSTDIR=`cd $withval; pwd`
    19866 fi;
    19867 
    19868 
    19869 # Check whether --with-m4_tolower(Glpk)-srcdir or --without-m4_tolower(Glpk)-srcdir was given.
    19870 if test "${with_glpk_srcdir+set}" = set; then
    19871   withval="$with_glpk_srcdir"
    19872   if test "$coin_has_glpk" = installed; then
    19873                    { { echo "$as_me:$LINENO: error: --with-$glpk-srcdir cannot be given together with --with-glpk-instdir" >&5
    19874 echo "$as_me: error: --with-$glpk-srcdir cannot be given together with --with-glpk-instdir" >&2;}
    19875    { (exit 1); exit 1; }; }
    19876                  fi
    19877                  if test -d "$withval"; then : ; else
    19878                    { { echo "$as_me:$LINENO: error: argument for --with-glpk-srcdir not a directory" >&5
    19879 echo "$as_me: error: argument for --with-glpk-srcdir not a directory" >&2;}
    19880    { (exit 1); exit 1; }; }
    19881                  fi
    19882                  coin_has_glpk=$withval
    19883                  GLPKSRCDIR=`cd $withval; pwd`
    19884 fi;
    19885 
    19886 
    19887 # Check whether --with-m4_tolower(Glpk)-objdir or --without-m4_tolower(Glpk)-objdir was given.
    19888 if test "${with_glpk_objdir+set}" = set; then
    19889   withval="$with_glpk_objdir"
    19890   if test "$coin_has_glpk" = installed; then
    19891                    { { echo "$as_me:$LINENO: error: --with-glpk-objdir cannot be given together with --with-glpk-instdir" >&5
    19892 echo "$as_me: error: --with-glpk-objdir cannot be given together with --with-glpk-instdir" >&2;}
    19893    { (exit 1); exit 1; }; }
    19894                  fi
    19895                  if test "$coin_has_glpk" = notGiven; then
    19896                    { { echo "$as_me:$LINENO: error: --with-glpk-objdir must be accompanied by --with-glpk-srcdir" >&5
    19897 echo "$as_me: error: --with-glpk-objdir must be accompanied by --with-glpk-srcdir" >&2;}
    19898    { (exit 1); exit 1; }; }
    19899                  fi
    19900                  if test -d "$withval"; then : ; else
    19901                    { { echo "$as_me:$LINENO: error: argument for --with-glpk-objdir not a directory" >&5
    19902 echo "$as_me: error: argument for --with-glpk-objdir not a directory" >&2;}
    19903    { (exit 1); exit 1; }; }
    19904                  fi
    19905                  GLPKOBJDIR=`cd $withval; pwd`
    19906 else
    19907   GLPKOBJDIR="$GLPKSRCDIR"
    19908 fi;
    19909 
    19910     # if we still don't have a location, check for generic flag
    19911     if test "$coin_has_glpk" = notGiven; then
    19912 
    19913 # Check whether --with-coin-instdir or --without-coin-instdir was given.
    19914 if test "${with_coin_instdir+set}" = set; then
    19915   withval="$with_coin_instdir"
    19916   if test -d "$withval"; then : ; else
    19917                      { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
    19918 echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
    19919    { (exit 1); exit 1; }; }
    19920                    fi
    19921                    if test -r $withval/share/doc/coin/Glpk/README;
    19922 
    19923                    then
    19924                      coin_has_glpk=installed
    19925                      GLPKINSTDIR=`cd $withval; pwd`
    19926                    fi
    19927 fi;
    19928     fi
    19929 
    19930     # check if project can be found in /Glpk
    19931     # this is for the classic setup when this macro is called from AC_COIN_MAIN_SUBDIR
    19932     fulldir=Glpk
    19933 
    19934     if test "$coin_has_glpk" = notGiven; then
    19935       if test -d $srcdir/$fulldir; then
    19936          coin_has_glpk=$fulldir
    19937 
    19938 
    19939       fi
    19940     fi
    19941 
    19942     # check if project can be found in ..//Glpk
    19943     # this is for the classic setup when this macro is called from the project main directory
    19944     fulldir=../Glpk
    19945 
    19946     if test "$coin_has_glpk" = notGiven; then
    19947       if test -d $srcdir/$fulldir; then
    19948          coin_has_glpk=$fulldir
    19949 
    19950 
    19951       fi
    19952     fi
    19953   fi
    19954 fi
    19955 
    19956 if test $coin_has_glpk != notGiven &&
    19957    test $coin_has_glpk != skipping; then
    19958   # Set the #define if the component is available
    19959 
    19960 cat >>confdefs.h <<\_ACEOF
    19961 #define COIN_HAS_GLPK 1
    19962 _ACEOF
    19963 
    19964 
    19965   if test $coin_has_glpk = installed; then
    19966     GLPKDOCDIR=$GLPKINSTDIR/share/doc/coin/Glpk
    19967        GLPKDATADIR=$GLPKINSTDIR/share/coin/Glpk
    19968 
    19969   else
    19970     if test "$GLPKOBJDIR" = This_Variable_Is_Not_Set; then
    19971       # Set the variables for source and object code location
    19972       GLPKSRCDIR=`cd $srcdir/$coin_has_glpk; pwd`
    19973       GLPKOBJDIR=`pwd`/$coin_has_glpk
    19974       GLPKDOCDIR=$abs_lib_dir/../share/doc/coin/Glpk
    19975 
    19976       GLPKDATADIR=$GLPKOBJDIR
    19977     else
    19978       # This is just a guess:
    19979       GLPKDOCDIR=$GLPKOBJDIR/../share/doc/coin/Glpk
    19980          GLPKDATADIR=$GLPKOBJDIR/../share/coin/Glpk
    19981 
    19982     fi
    19983   fi
    19984 fi
    19985 
    19986 # Define the Makefile conditional
    19987 
    19988 
    19989 if test $coin_has_glpk != notGiven &&
    19990                 test $coin_has_glpk != skipping; then
    19991   COIN_HAS_GLPK_TRUE=
    19992   COIN_HAS_GLPK_FALSE='#'
    19993 else
    19994   COIN_HAS_GLPK_TRUE='#'
    19995   COIN_HAS_GLPK_FALSE=
    19996 fi
    19997 
    19998 
    19999 
    20000 if test $coin_has_glpk = installed; then
    20001   COIN_HAS_GLPK_PREINSTALLED_TRUE=
    20002   COIN_HAS_GLPK_PREINSTALLED_FALSE='#'
    20003 else
    20004   COIN_HAS_GLPK_PREINSTALLED_TRUE='#'
    20005   COIN_HAS_GLPK_PREINSTALLED_FALSE=
    20006 fi
    20007 
    20008 
    20009 if test $coin_has_glpk = installed; then
    20010   echo "$as_me:$LINENO: result: installed in $GLPKINSTDIR" >&5
    20011 echo "${ECHO_T}installed in $GLPKINSTDIR" >&6
    20012   if test -r $GLPKINSTDIR/share/doc/coin/Glpk/README; then
    20013 
    20014   :
    20015 else
    20016   { { echo "$as_me:$LINENO: error: $GLPKINSTDIR/share/doc/coin/Glpk/README should be available if Glpk is installed" >&5
    20017 echo "$as_me: error: $GLPKINSTDIR/share/doc/coin/Glpk/README should be available if Glpk is installed" >&2;}
    20018    { (exit 1); exit 1; }; }
    20019   :
    20020 fi
    20021 
    20022 
    20023 
    20024 else
    20025   echo "$as_me:$LINENO: result: $coin_has_glpk" >&5
    20026 echo "${ECHO_T}$coin_has_glpk" >&6
    20027   if test $coin_has_glpk != notGiven &&
    20028      test $coin_has_glpk != skipping; then
    20029     echo "$as_me:$LINENO: checking for source code location of Glpk" >&5
    20030 echo $ECHO_N "checking for source code location of Glpk... $ECHO_C" >&6
    20031     echo "$as_me:$LINENO: result: $GLPKSRCDIR" >&5
    20032 echo "${ECHO_T}$GLPKSRCDIR" >&6
    20033     echo "$as_me:$LINENO: checking for object code location of Glpk" >&5
    20034 echo $ECHO_N "checking for object code location of Glpk... $ECHO_C" >&6
    20035     echo "$as_me:$LINENO: result: $GLPKOBJDIR" >&5
    20036 echo "${ECHO_T}$GLPKOBJDIR" >&6
    20037   fi
    20038 fi
    20039 
    20040 
    20041 # This macro checks for a library containing the GLPK library.  It
    20042 # checks if the user has provided an argument for the GLPK library,
    20043 # and if not, it checks whether the GLPK ThirdParty/GLPK directory has
    20044 # been configured.  It adds to ADDLIBS any flags required to link with
    20045 # an externally provided GLPK.  It defines the makefile conditional
    20046 # and preprocessor macro COIN_HAS_GLPK, if GLPK is available, and it
    20047 # defines the makefile conditional COIN_BUILD_GLPK, if GLPK is
    20048 # compiled within COIN.
    20049 
    20050 ## Check if GLPK is already provided by user
    20051 #AC_COIN_HAS_GLPK(Glpk)
    20052 
    20053 #rm -f $MAKEOKFILE
    20054 #if test x"$use_thirdpartyglpk" = xbuild ; then
    20055 #  touch $MAKEOKFILE
    20056   echo "$as_me:$LINENO: checking GLPK version" >&5
     19816echo "$as_me:$LINENO: checking GLPK version" >&5
    2005719817echo $ECHO_N "checking GLPK version... $ECHO_C" >&6
    20058   glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    20059   glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    20060   echo "$as_me:$LINENO: result: ${glpkmajorver}.${glpkminorver}" >&5
     19818glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
     19819glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
     19820echo "$as_me:$LINENO: result: ${glpkmajorver}.${glpkminorver}" >&5
    2006119821echo "${ECHO_T}${glpkmajorver}.${glpkminorver}" >&6
    20062   if test x$glpkmajorver != x4 || test x$glpkminorver != x39 ; then
    20063     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&5
     19822if test x$glpkmajorver != x4 || test x$glpkminorver != x39 ; then
     19823  { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&5
    2006419824echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&2;}
    2006519825   { (exit 1); exit 1; }; }
    20066   fi
    20067 
    20068 
    20069 #else
    20070 #  if test x$coin_has_glpk = xtrue ; then
    20071 #    AC_MSG_NOTICE([The Glpk sources don't need to be compiled])
    20072 #  else
    20073 #    AC_MSG_WARN([Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?])
    20074 #  fi
    20075 #  MAKEOKFILE=
    20076 #fi
    20077 #AC_SUBST(MAKEOKFILE)
     19826fi
     19827
     19828
    2007819829
    2007919830###########################################################################
     
    2220421955  fi
    2220521956
     21957  # need to come before AC_OUTPUT
     21958  if test x$coin_projectdir != xyes; then
     21959    # write coin_subdirs to a file so that project configuration knows where to find uninstalled projects
     21960    echo $coin_subdirs > coin_subdirs.txt
     21961  else
     21962    # substitute for OBJDIR, needed to setup .pc file for uninstalled project
     21963    ABSBUILDDIR="`pwd`"
     21964
     21965  fi
     21966
    2220621967  cat >confcache <<\_ACEOF
    2220721968# This file is a shell script that caches the results of configure
     
    2233422095Usually this means the macro was only invoked conditionally." >&5
    2233522096echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
    22336 Usually this means the macro was only invoked conditionally." >&2;}
    22337    { (exit 1); exit 1; }; }
    22338 fi
    22339 if test -z "${COIN_HAS_GLPK_TRUE}" && test -z "${COIN_HAS_GLPK_FALSE}"; then
    22340   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_GLPK\" was never defined.
    22341 Usually this means the macro was only invoked conditionally." >&5
    22342 echo "$as_me: error: conditional \"COIN_HAS_GLPK\" was never defined.
    22343 Usually this means the macro was only invoked conditionally." >&2;}
    22344    { (exit 1); exit 1; }; }
    22345 fi
    22346 if test -z "${COIN_HAS_GLPK_PREINSTALLED_TRUE}" && test -z "${COIN_HAS_GLPK_PREINSTALLED_FALSE}"; then
    22347   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_GLPK_PREINSTALLED\" was never defined.
    22348 Usually this means the macro was only invoked conditionally." >&5
    22349 echo "$as_me: error: conditional \"COIN_HAS_GLPK_PREINSTALLED\" was never defined.
    2235022097Usually this means the macro was only invoked conditionally." >&2;}
    2235122098   { (exit 1); exit 1; }; }
     
    2298722734s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2298822735s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    22989 s,@GLPKSRCDIR@,$GLPKSRCDIR,;t t
    22990 s,@GLPKOBJDIR@,$GLPKOBJDIR,;t t
    22991 s,@GLPKDOCDIR@,$GLPKDOCDIR,;t t
    22992 s,@GLPKDATADIR@,$GLPKDATADIR,;t t
    22993 s,@GLPKINSTDIR@,$GLPKINSTDIR,;t t
    22994 s,@COIN_HAS_GLPK_TRUE@,$COIN_HAS_GLPK_TRUE,;t t
    22995 s,@COIN_HAS_GLPK_FALSE@,$COIN_HAS_GLPK_FALSE,;t t
    22996 s,@COIN_HAS_GLPK_PREINSTALLED_TRUE@,$COIN_HAS_GLPK_PREINSTALLED_TRUE,;t t
    22997 s,@COIN_HAS_GLPK_PREINSTALLED_FALSE@,$COIN_HAS_GLPK_PREINSTALLED_FALSE,;t t
    2299822736s,@glpkmajorver@,$glpkmajorver,;t t
    2299922737s,@glpkminorver@,$glpkminorver,;t t
     
    2300322741s,@LIBEXT@,$LIBEXT,;t t
    2300422742s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     22743s,@ABSBUILDDIR@,$ABSBUILDDIR,;t t
    2300522744s,@LIBOBJS@,$LIBOBJS,;t t
    2300622745s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • ThirdParty/Glpk/branches/BSPsplit/configure.ac

    r1396 r1446  
    5252
    5353###########################################################################
    54 #                            COIN_HAS_GLPK                                #
    55 ###########################################################################
    56 
    57 AC_COIN_HAS_PROJECT(Glpk)
    58 
    59 # This macro checks for a library containing the GLPK library.  It
    60 # checks if the user has provided an argument for the GLPK library,
    61 # and if not, it checks whether the GLPK ThirdParty/GLPK directory has
    62 # been configured.  It adds to ADDLIBS any flags required to link with
    63 # an externally provided GLPK.  It defines the makefile conditional
    64 # and preprocessor macro COIN_HAS_GLPK, if GLPK is available, and it
    65 # defines the makefile conditional COIN_BUILD_GLPK, if GLPK is
    66 # compiled within COIN.
    67 
    68 ## Check if GLPK is already provided by user
    69 #AC_COIN_HAS_GLPK(Glpk)
    70 
    71 #rm -f $MAKEOKFILE
    72 #if test x"$use_thirdpartyglpk" = xbuild ; then
    73 #  touch $MAKEOKFILE
    74   AC_MSG_CHECKING([GLPK version])
    75   glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    76   glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
    77   AC_MSG_RESULT([${glpkmajorver}.${glpkminorver}])
    78   if test x$glpkmajorver != x4 || test x$glpkminorver != x39 ; then
    79     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK"])
    80   fi
    81   AC_SUBST(glpkmajorver)
    82   AC_SUBST(glpkminorver)
    83 #else
    84 #  if test x$coin_has_glpk = xtrue ; then
    85 #    AC_MSG_NOTICE([The Glpk sources don't need to be compiled])
    86 #  else
    87 #    AC_MSG_WARN([Glpk source is available but will not be built. No valid external library is detected. Are you sure this is what you want?])
    88 #  fi
    89 #  MAKEOKFILE=
    90 #fi
    91 #AC_SUBST(MAKEOKFILE)
     54#                            check GLPK version                           #
     55###########################################################################
     56
     57AC_MSG_CHECKING([GLPK version])
     58glpkmajorver=`awk '/define GLP_MAJOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
     59glpkminorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' $srcdir/glpk/include/glpk.h`
     60AC_MSG_RESULT([${glpkmajorver}.${glpkminorver}])
     61if test x$glpkmajorver != x4 || test x$glpkminorver != x39 ; then
     62  AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK"])
     63fi
     64AC_SUBST(glpkmajorver)
     65AC_SUBST(glpkminorver)
    9266
    9367###########################################################################
  • ThirdParty/Glpk/branches/BSPsplit/glpk-uninstalled.pc.in

    r1397 r1446  
    11prefix=@prefix@
    2 libdir=@GLPKOBJDIR@
     2libdir=@ABSBUILDDIR@
    33
    44Name: Glpk
     
    66Version: @glpkmajorver@.@glpkminorver@
    77Libs: -L${libdir} -lcoinglpk @ADDLIBS@
    8 Cflags: -I@GLPKOBJDIR@ -I@GLPKSRCDIR@/glpk/include
     8Cflags: -I@ABSBUILDDIR@ -I@abs_source_dir@/glpk/include
Note: See TracChangeset for help on using the changeset viewer.